  <h1 class="h3 mb-1 text-gray-800">Stock Opname</h1>
  <div class="row">

    <!-- Grow In Utility -->
    <div class="col-lg-6">

      <div class="card position-relative">
        <div class="card-header py-3">
          <h6 class="m-0 font-weight-bold text-primary">Daftar Ruangan</h6>
        </div>
        <div class="card-body">
            <video width="400" id="preview"></video>
        </div>
      </div>

    </div>

    <!-- Fade In Utility -->
    <div class="col-lg-6">

      <div class="card position-relative">
        <div class="card-header py-3">
          <h6 class="m-0 font-weight-bold text-primary">Detail Asset</h6>
        </div>
        <div class="card-body">
          <table id="result" class="table table-bordered">
            <thead><tr><td width="40%">Asset</td><td width="40%">Lokasi</td><td width="20%">Kondisi</td></tr></thead>
            <tbody></tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>

<script type="text/javascript" src="vendor/instascan/instascan.min.js"></script>
<script type="text/javascript">
  let scanner = new Instascan.Scanner({ video: document.getElementById('preview'), mirror:true });
  scanner.addListener('scan', function (sn) {
    console.log(sn)
    $("#result tbody").html("")
    $.ajax({dataType:"json", url: $("#apiurl").val()+"/inventory/getAssetList?sn="+sn}).done(function(data)
    {
      if(data.length > 0)
      {
        $.each( data, function( key, val )
        {
          $("#result tbody").append("<tr><td>"+val.sn+" - "+val.barang+" ("+val.type+")</td><td>"+val.ruang+"</td><td><select onchange=updateKondisi(this.value,'"+val.sn+"')><option "+kondisi(1,val.kondisi_id)+" value='1'>Baik</option><option "+kondisi(2,val.kondisi_id)+" value='2'>Rusak Ringan</option><option "+kondisi(3,val.kondisi_id)+" value='3'>Rusak Berat</option></select></td></tr>");
        })
      }
      else
      {
        $("#result tbody").append("<tr><td colspan='3'>Data <strong>"+sn+"</strong> tidak ditemukan</td></tr>")
        return false;
      }
    })
  });
  Instascan.Camera.getCameras().then(function (cameras) {
    if (cameras.length > 0) {
      scanner.start(cameras[0]);
    } else {
      console.error('No cameras found.');
    }
  }).catch(function (e) {
    console.error(e);
  });
  function kondisi(x,y)
  {
    if(x==y)
      return "selected";
  }
  function updateKondisi(x,y)
  {
    $.post($("#apiurl").val()+"/inventory/updateKondisi",{kondisi_id:x,sn:y},function(){});
  }
</script>
